﻿body {
    min-height: 100vh;
    padding-top: 50px;
    line-height: 1.5;
    overflow-y: hidden; /* Hide scrollbars */
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 70px;
    z-index: 7;
    background: white;
}

.scroll {
    overflow-y: scroll;
}

.scroll::-webkit-scrollbar {
   display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.scroll {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

.loading {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.loader {
    left: 50%;
    margin-left: -4em;
    font-size: 10px;
    border: .8em solid rgba(218, 219, 223, 1);
    border-left: .8em solid #0275d8;
    animation: spin 1.1s infinite linear;
}

    .loader, .loader:after {
        border-radius: 50%;
        width: 8em;
        height: 8em;
        display: block;
        position: absolute;
        top: 50%;
        margin-top: -4.05em;
    }

@keyframes spin {
    0% {
        transform: rotate(360deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

.flex-grow {
    flex: 1;
    -webkit-flex: 1;
}

.bootstrap-select .form-control:focus {
    outline: 0px none #fff !important;
}

.bootstrap-select .form-control > div.filter-option:focus {
    outline: 0px none #fff !important;
}

.bootstrap-select .form-control > div.filter-option > div.filter-option-inner:focus {
    outline: 0px none #fff !important;
}

.bootstrap-select .form-control > div.filter-option > div.filter-option-inner > div.filter-option-inner-inner:focus {
    outline: 0px none #fff !important;
}

.bootstrap-select .btn-light {
    border: solid 1px #dde1e6;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 0px;
    padding-right: 0px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/

nav {
    color: rgb(173, 173, 173);
    display: block;
    margin: 0;
    overflow: hidden;
    box-shadow: 0px 4px 8px rgb(173, 173, 173);
}

.custom {
    width: 35px !important;
}

.navbar-brand {
}

h2, h4 {
    color: rgb(0, 123, 255);
}

.hrStyle {
    height: 1px;
    background: rgb(0, 123, 255);
    border: 0px;
}

.form-control {
    border-radius: .15rem;
}

    .form-control::-webkit-input-placeholder {
        font-weight: 100;
        color: rgb(168, 168, 168);
    }

    .form-control::-moz-placeholder {
        color: rgb(168, 168, 168);
        opacity: 1
    }

    .form-control:-ms-input-placeholder {
        color: rgb(168, 168, 168);
        opacity: 1
    }

.pagination-container {
    padding-top: 0px;
}

.pagination {
    padding-top: 0px;
}

.form-control::-ms-input-placeholder {
    color: rgb(168, 168, 168);
    opacity: 1
}

.form-control::placeholder {
    color: rgb(168, 168, 168);
    opacity: 1
}

.btn-group-lg > .btn,
.btn-lg,
.btn {
    border-radius: .15rem;
}

.card {
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.card {
    margin-top: 10px;
    box-sizing: border-box;
    border-radius: 2px;
    background-clip: padding-box;
    border: none;
    border-radius: 0.15rem;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.card-block {
    margin: 10px;
}

.card-header {
    background-color: rgba(0, 123, 255, 0.125);
    border-bottom: 1px solid rgb(0, 123, 255);
}

.card-footer {
    background-color: rgba(0, 123, 255, 0.125);
    border-top: 1px solid rgb(0, 123, 255);
}

.flex-grow-img {
    display: flex;
    justify-content: center;
}

.thumbnail-img {
    height: 128px;
}

.fit {
    object-fit: scale-down;
    max-width: 100%;
}

.center {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-content {
    width: 100%;
    height: 100%;
}

.modal-lg {
    max-width: 844px; /* For HL7CDA */
}

div#loading {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 100%;
    background-color: #666;
    background-image: url('/img/loading.gif');
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10000000;
    opacity: 0.4;
    filter: alpha(opacity=40); /* For IE8 and earlier */
}

.text-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-weight: 600;
}

table.opis td, table.opis th {
    padding: 0.25rem; /* Minimalny padding dla komórek */
    line-height: 1; /* Zmniejszenie wysokości linii */
}

    

.mt-40 {
    margin-top: 40px;
}

.mt-60 {
    margin-top: 60px;
}

.file-class {
    border-radius: 25px;
    background-color: white;
    padding-bottom: 5px;
    padding-right: 5px;
    padding-top: 5px;
    color: black;
    font-size: small;
}

.table-item {
    color: blue;
    cursor: pointer;
    font-size: medium;
}

    .table-item:hover {
        text-decoration: underline;
    }


ul.ks-cboxtags {
    list-style: none;
    padding: 0px;
}

    ul.ks-cboxtags li {
        display: inline;
    }

        ul.ks-cboxtags li label {
            border-radius: 25px;
            font-size: 8px;
            margin: 0px 0px;
            -webkit-touch-callout: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            -webkit-tap-highlight-color: transparent;
            transition: all .2s;
        }

        ul.ks-cboxtags li label {
            padding: 8px 12px;
            cursor: pointer;
        }

            ul.ks-cboxtags li label::before {
                display: inline-block;
                font-style: normal;
                font-variant: normal;
                text-rendering: auto;
                font-weight: 900;
                font-size: 8px;
                -webkit-font-smoothing: antialiased;
                padding: 2px 6px 2px 2px;
                transition: transform .3s ease-in-out;
            }

        ul.ks-cboxtags li input[type="checkbox"]:checked + label::before {
            content: '\2716';
            font-size: 8px;
        }

        ul.ks-cboxtags li input[type="checkbox"]:checked + label {
            background-color: #12bbd4;
            color: #fff;
            transition: all .2s;
        }

        ul.ks-cboxtags li input[type="checkbox"] {
            display: absolute;
        }

        ul.ks-cboxtags li input[type="checkbox"] {
            position: absolute;
            opacity: 0;
        }
